<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/swipe_refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clipToPadding="false"
            android:paddingVertical="13.3dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="13.3dp"
                    android:layout_marginStart="13.3dp"
                    android:layout_marginBottom="26.7dp"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:text="콘텐츠 마켓"
                    android:textColor="@color/color_9970ff"
                    android:textSize="21.3sp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_new_content_creator"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="26.7dp"
                    android:clipToPadding="false"
                    android:paddingHorizontal="13.3dp"
                    android:visibility="gone" />

                <com.zhpan.bannerview.BannerViewPager
                    android:id="@+id/rv_banner"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="13.3dp" />

                <com.zhpan.indicator.IndicatorView
                    android:id="@+id/indicator_banner"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="6.7dp"
                    android:layout_marginBottom="40dp" />

                <LinearLayout
                    android:id="@+id/ll_my_stash"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="40dp"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="13.3dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="내 보관함"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="18.3sp" />

                        <TextView
                            android:id="@+id/tv_my_stash_view_all"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:fontFamily="@font/gmarket_sans_light"
                            android:text="전체보기"
                            android:textColor="@color/color_bbbbbb"
                            android:textSize="11.3sp" />
                    </RelativeLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_my_stash"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="13.3dp"
                        android:clipToPadding="false"
                        android:paddingHorizontal="13.3dp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_new_content"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="13.3dp"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="새로운 콘텐츠"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="18.3sp" />

                        <ImageView
                            android:id="@+id/iv_new_content_all"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:contentDescription="@null"
                            android:paddingHorizontal="13.3dp"
                            android:src="@drawable/ic_forward" />
                    </RelativeLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_new_content_theme"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="13.3dp"
                        android:clipToPadding="false"
                        android:paddingHorizontal="13.3dp" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_new_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="13.3dp"
                        android:clipToPadding="false"
                        android:paddingHorizontal="13.3dp" />
                </LinearLayout>

                <ProgressBar
                    android:id="@+id/pb_new_content"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_gravity="center" />

                <LinearLayout
                    android:id="@+id/ll_content_ranking"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="40dp"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="13.3dp"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="인기 콘텐츠"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="18.3sp" />

                        <ImageView
                            android:id="@+id/iv_content_ranking_all"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:contentDescription="@null"
                            android:paddingHorizontal="13.3dp"
                            android:src="@drawable/ic_forward" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="13.3dp"
                        android:background="@color/color_222222"
                        android:gravity="center"
                        android:orientation="vertical"
                        android:paddingVertical="8dp">

                        <TextView
                            android:id="@+id/tv_date"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="14.7sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:fontFamily="@font/gmarket_sans_light"
                            android:text="※ 인기 콘텐츠의 순위는 매주 업데이트됩니다."
                            android:textColor="@color/color_bbbbbb"
                            android:textSize="13.3sp" />
                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_content_ranking_sort"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="13.3dp"
                        android:clipToPadding="false"
                        android:paddingHorizontal="13.3dp" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_content_ranking"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="13.3dp"
                        android:clipToPadding="false"
                        android:paddingHorizontal="6.7dp" />
                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_curation"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:clipToPadding="false" />

                <ProgressBar
                    android:id="@+id/pb_curation"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_gravity="center" />
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <LinearLayout
        android:id="@+id/ll_upload_content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_marginEnd="16.7dp"
        android:layout_marginBottom="16.7dp"
        android:background="@drawable/bg_round_corner_44_9970ff"
        android:orientation="horizontal"
        android:padding="13.3dp">

        <ImageView
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_marginEnd="5dp"
            android:contentDescription="@null"
            android:src="@drawable/ic_thumb_play" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/gmarket_sans_bold"
            android:text="콘텐츠 업로드"
            android:textColor="@color/white"
            android:textSize="13.3sp" />
    </LinearLayout>
</RelativeLayout>
